Logger (Catalina Internal API Documentation)
Keywords: org.apache.catalina.Logger interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Logger

All Known Implementing Classes:
  LoggerBase

public interface Logger

A Logger is a generic interface for the message and exception logging methods of the ServletContext interface. Loggers can be attached at any Container level, but will typically only be attached to a Context, or higher level, Container.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:13:30 $
Author:
  Craig R. McClanahan

Field Summary
`static int` | `DEBUG`
`static int` | `ERROR`
`static int` | `FATAL` Verbosity level constants for log messages that may be filtered by the underlying logger.
`static int` | `INFORMATION`
`static int` | `WARNING`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Add a property change listener to this component.
`Container` | `getContainer()` Return the Container with which this Logger has been associated.
`java.lang.String` | `getInfo()` Return descriptive information about this Logger implementation and the corresponding version number, in the format `<description>/<version>`.
`int` | `getVerbosity()` Return the verbosity level of this logger.
`void` | `log(java.lang.Exception exception, java.lang.String msg)` Writes the specified exception, and message, to a servlet log file.
`void` | `log(java.lang.String message)` Writes the specified message to a servlet log file, usually an event log.
`void` | `log(java.lang.String message, int verbosity)` Writes the specified message to the servlet log file, usually an event log, if the logger is set to a verbosity level equal to or higher than the specified value for this message.
`void` | `log(java.lang.String message, java.lang.Throwable throwable)` Writes an explanatory message and a stack trace for a given `Throwable` exception to the servlet log file.
`void` | `log(java.lang.String message, java.lang.Throwable throwable, int verbosity)` Writes the specified message and exception to the servlet log file, usually an event log, if the logger is set to a verbosity level equal to or higher than the specified value for this message.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Remove a property change listener from this component.
`void` | `setContainer(Container container)` Set the Container with which this Logger has been associated.
`void` | `setVerbosity(int verbosity)` Set the verbosity level of this logger.

Field Detail

### FATAL

    public static final int FATAL

  Verbosity level constants for log messages that may be filtered by the underlying logger.

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### WARNING

    public static final int WARNING

See Also:
  Constant Field Values

### INFORMATION

    public static final int INFORMATION

See Also:
  Constant Field Values

### DEBUG

    public static final int DEBUG

See Also:
  Constant Field Values

Method Detail

### getContainer

    public Container getContainer()

  Return the Container with which this Logger has been associated.

### setContainer

    public void setContainer(Container container)

  Set the Container with which this Logger has been associated.

  Parameters:
    `container` - The associated Container

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Logger implementation and the corresponding version number, in the format `<description>/<version>`.

### getVerbosity

    public int getVerbosity()

  Return the verbosity level of this logger. Messages logged with a higher verbosity than this level will be silently ignored.

### setVerbosity

    public void setVerbosity(int verbosity)

  Set the verbosity level of this logger. Messages logged with a higher verbosity than this level will be silently ignored.

  Parameters:
    `verbosity` - The new verbosity level

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Add a property change listener to this component.

  Parameters:
    `listener` - The listener to add

### log

    public void log(java.lang.String message)

  Writes the specified message to a servlet log file, usually an event log. The name and type of the servlet log is specific to the servlet container. This message will be logged unconditionally.

  Parameters:
    `message` - A `String` specifying the message to be written to the log file

### log

    public void log(java.lang.Exception exception,
                    java.lang.String msg)

  Writes the specified exception, and message, to a servlet log file. The implementation of this method should call `log(msg, exception)` instead. This method is deprecated in the ServletContext interface, but not deprecated here to avoid many useless compiler warnings. This message will be logged unconditionally.

  Parameters:
    `exception` - An `Exception` to be reported
    `msg` - The associated message string

### log

    public void log(java.lang.String message,
                    java.lang.Throwable throwable)

  Writes an explanatory message and a stack trace for a given `Throwable` exception to the servlet log file. The name and type of the servlet log file is specific to the servlet container, usually an event log. This message will be logged unconditionally.

  Parameters:
    `message` - A `String` that describes the error or exception
    `throwable` - The `Throwable` error or exception

### log

    public void log(java.lang.String message,
                    int verbosity)

  Writes the specified message to the servlet log file, usually an event log, if the logger is set to a verbosity level equal to or higher than the specified value for this message.

  Parameters:
    `message` - A `String` specifying the message to be written to the log file
    `verbosity` - Verbosity level of this message

### log

    public void log(java.lang.String message,
                    java.lang.Throwable throwable,
                    int verbosity)

  Writes the specified message and exception to the servlet log file, usually an event log, if the logger is set to a verbosity level equal to or higher than the specified value for this message.

  Parameters:
    `message` - A `String` that describes the error or exception
    `throwable` - The `Throwable` error or exception
    `verbosity` - Verbosity level of this message

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Remove a property change listener from this component.

  Parameters:
    `listener` - The listener to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.